/* -*- mode: c; c-file-style: "gnu" -*-
 * queue.h -- Queue abstraction layer, prototypes
 * Copyright (C) 2002, 2003, 2004 Gergely Nagy <algernon@bonehunter.rulez.org>
 *
 * This file is part of Thy.
 *
 * Thy is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 dated June, 1991.
 *
 * Thy is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/** @file queue.h
 * Queue abstraction layer, prototypes.
 */

#ifndef _THY_QUEUE_H
#define _THY_QUEUE_H 1 /**< queue.h multi-inclusion guard. */

#include "types.h"

void queue_init (void);
session_t *queue_get (long int idx);
void queue_add (session_t *session);
void queue_del (long int idx);
int queue_keep (long int idx);

#endif /* !_THY_QUEUE_H */
